Pggraph - Feature #4890

new report(s)
09/25/2006 10:36 PM - Darcy Buskermolen
Priority: Normal Due date:

Assignee: Aurynn Shaw % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

Create a new report that compares the relation size to the number of tuples in the relation, this can be used to help show relation
bloat over time. This report(s) should contain indexes as well as tables.

History

#1 - 09/26/2006 05:12 AM - Devrim Gunduz

- Status changed from New to In Progress

#2 - 09/26/2006 08:38 AM - Darcy Buskermolen

This report should probably fetch all tables and indexes in a given database.
| think the graph should have 3 things, pg_relation_size(oid), reltubles, pg_relation_size(oid)/reltuples.

#3 - 09/27/2006 05:04 AM - Devrim Gunduz

SELECT pg_relation_size(oid),reltuples, oid FROM pg_class ;
Are you looking for this?

#4 - 09/27/2006 05:12 AM - Devrim Gunduz

... and | need a "name" for this report. We use

Index 1/0

Connections

Transaction Velocity

Failed Transactions

System Virtual Memory

System I/O

System Processor

User Index Stats

User Table Transaction Types

for now. Any suggestions?

#5 - 09/27/2006 08:22 AM - Darcy Buskermolen

Not exactly, I'm not sure if rrd can show diffrent scales onthe same graph, but | was thinking of haveing 3 items ploted on the graph.
A) the number of tuples (reltuples)

B) the size in bytes of the relation (pg_relation_size())

C) the ratio of these 2 (pg_relation_size(oid)/reltuples)

So in effect we would be plotting: SELECT reltubles, pg_relation_size(oid), pg_relation_size(oid)/reltuples FROM pg_class where relkind in ('r','i");

#6 - 09/27/2006 08:23 AM - Darcy Buskermolen

As for a name for the rereport How does "Relation Size" sound ?
#7 - 10/07/2006 01:47 AM - Devrim Gunduz
Status:

e Scripts are written.

e Installer installs relation size related issues.
¢ RRDs working

* RRDs are being updated via a cron job

TODO

¢ Need to create a relationsize.php that collects all graphs, like pggraph.php
¢ Make this script show up in index.php

#8 - 09/11/2007 10:34 PM - Devrim Gunduz

- Status changed from In Progress to New
Aurynn, is this done in new pggraph?

#9 - 09/12/2007 12:17 PM - Aurynn Shaw

No; Darcy, are you wanting this in the new pggraph?

#10 - 09/12/2007 01:20 PM - Darcy Buskermolen

Yes, we should be tracking realation size(s), as a matter of fact | thought | had talked about this in the email of new features requested. (maybe |
missed these)

#11 - 10/16/2007 09:36 AM - Aurynn Shaw

- Status changed from New to In Progress

Give me an example query. Do you want it graphed, or just a report page?

#12 - 10/16/2007 10:20 AM - Darcy Buskermolen

I'd like it graphed so that we can see change over time. And an example query is in the ticket, but I'll recap it: SELECT reltuples,

pg_relation_size(oid), pg_relation_size(oid)/reltuples FROM pg_class where relkind in ('r','i'); Though | think that without being able to have different
scales on the same graph this might be very hard to track in this exact manor. It might require 3 distinct graphs.
